{{- if  eq (.Get "version") "2.4.1" -}}

{{- if  eq (.Get "platform") "appliance" -}}

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   2.4.1-ub18.04u26~1581351889.c5ec3e5 amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    2.4.1-ub18.04u26~1581351889.c5ec3e5 amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{- if  eq (.Get "platform") "vm" -}}

For Ubuntu 18.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   2.4.1-ub18.04u26~1581351889.c5ec3e5 amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    2.4.1-ub18.04u26~1581351889.c5ec3e5 amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

For Ubuntu 16.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   2.4.1-ub16.04u26~1581350451.c5ec3e5 amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    2.4.1-ub16.04u26~1581350451.c5ec3e5 amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{ end }}


{{- if  eq (.Get "version") "3.0.0" -}}

{{- if  eq (.Get "platform") "appliance" -}}

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.0.0-ub18.04u27~1588242914.9fb5b87_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.0.0-ub18.04u27~1588242914.9fb5b87_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{- if  eq (.Get "platform") "vm" -}}

For Ubuntu 18.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.0.0-ub18.04u27~1588242914.9fb5b87_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.0.0-ub18.04u27~1588242914.9fb5b87_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

For Ubuntu 16.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.0.0-ub16.04u27~1588242914.9fb5b87_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.0.0-ub16.04u27~1588242914.9fb5b87_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{ end }}

{{- if  eq (.Get "version") "3.1.0" -}}

{{- if  eq (.Get "platform") "appliance" -}}

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.1.0-ub18.04u28~1594095612.8f00ba1_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.1.0-ub18.04u28~1594095612.8f00ba1_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{- if  eq (.Get "platform") "vm" -}}

For Ubuntu 18.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.1.0-ub18.04u28~1594095612.8f00ba1_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.1.0-ub18.04u28~1594095612.8f00ba1_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

For Ubuntu 16.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.1.0-ub16.04u28~1594095612.8f00ba1_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.1.0-ub16.04u28~1594095612.8f00ba1_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{ end }}

{{- if  eq (.Get "version") "3.2.0" -}}

{{- if  eq (.Get "platform") "appliance" -}}

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.2.0-ub18.04u30~1601400975.104fb9e_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.2.0-ub18.04u30~1601400975.104fb9e_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{- if  eq (.Get "platform") "vm" -}}

For Ubuntu 18.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.2.0-ub18.04u30~1601400975.104fb9e_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.2.0-ub18.04u30~1601400975.104fb9e_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{ end }}


{{- if  eq (.Get "version") "3.2.1" -}}

{{- if  eq (.Get "platform") "appliance" -}}

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.2.1-ub18.04u31~1603789872.6f62fad_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.2.1-ub18.04u31~1603789872.6f62fad_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{- if  eq (.Get "platform") "vm" -}}

For Ubuntu 18.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.2.1-ub18.04u31~1603789872.6f62fad_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.2.1-ub18.04u31~1603789872.6f62fad_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{ end }}


{{- if  eq (.Get "version") "3.3.0" -}}

{{- if  eq (.Get "platform") "appliance" -}}

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.3.0-ub18.04u32~1603789872.6f62fad_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.3.0-ub18.04u32~1603789872.6f62fad_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{- if  eq (.Get "platform") "vm" -}}

For Ubuntu 18.04, you should see:

<pre>cumulus@hostname:~$ dpkg -l | grep netq
ii  netq-agent   3.3.0-ub18.04u32~1603789872.6f62fad_amd64   Cumulus NetQ Telemetry Agent for Ubuntu
ii  netq-apps    3.3.0-ub18.04u32~1603789872.6f62fad_amd64   Cumulus NetQ Fabric Validation Application for Ubuntu</pre>

{{ end }}

{{ end }}